Anonymous Login
2019-04-25 09:19 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001640v3.4 Release (Current)Projectspublic2019-01-03 12:53
Reportermateusfig 
Assigned Tocaseydk 
PriorityurgentSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOScentOSOS Version7.0
Product Version 
Target VersionFixed in Version 
Summary0001640: I can't update fields on Projects
DescriptionWhen I try to update any field of a project (but seems it aplies to whole or most of the system), it won't be updated in the database.

For Tasks, I got a bug when I register a Task Log and the task itself have not its percentual updated.
Steps To ReproduceFor Projects
- Try switch the project to Inactive
- Try switch the project Status to Complete

For Tasks

- Try to add a task log and after check the task percentual.
Additional InformationThe bug occurs with the follow scenary:

- MySQL 5.6.20 (It works flawless with 5.6.16 )
- PHP 5.4.16 (I don't think this is a negative point)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003722

caseydk (administrator)

If it works on mysql 5.6.16 but fails on 5.6.20, then the issue is there. Do you have any sort of error logs or transaction logs that might be useful?

~0003723

mateusfig (reporter)

Last edited: 2014-12-01 10:05

View 2 revisions

Yes. I have other PHP system run on MySQL 5.6.20 and It works flawless.

Here is the log:

[27-Nov-2014 09:27:47 Etc/GMT+3] PHP Stack trace:
[27-Nov-2014 09:27:47 Etc/GMT+3] PHP 1. {main}() /var/www/html/web2project/index.php:0
[27-Nov-2014 09:27:47 Etc/GMT+3] PHP 2. require_once() /var/www/html/web2project/index.php:27
[27-Nov-2014 09:27:47 Etc/GMT+3] PHP 3. w2p_Database_Connection->connect() /var/www/html/web2project/includes/db_adodb.php:21
[27-Nov-2014 09:27:47 Etc/GMT+3] PHP 4. ADOConnection->Connect() /var/www/html/web2project/classes/w2p/Database/Connection.class.php:22
[27-Nov-2014 09:27:47 Etc/GMT+3] PHP 5. ADODB_mysqli->_connect() /var/www/html/web2project/lib/adodb/adodb.inc.php:525
[27-Nov-2014 09:27:47 Etc/GMT+3] PHP 6. mysqli_real_connect() /var/www/html/web2project/lib/adodb/drivers/adodb-mysqli.inc.php:113

~0003724

mateusfig (reporter)

Was It usefull?

~0003725

mateusfig (reporter)

It seems the issue was solved after removing STRICT MODE of MySQL with this command: SET @ @global.sql_mode = '';

Ok, but there are some non-ANSI compatible query causing this issue.

~0003728

caseydk (administrator)

Resolved in latest development.

~0003929

caseydk (administrator)

In the 31 Dec 2018 release: http://docs.web2project.net/release-notes/3.4.html
+Notes

-Issue History
Date Modified Username Field Change
2014-11-26 14:46 mateusfig New Issue
2014-11-26 22:04 caseydk Note Added: 0003722
2014-11-26 22:04 caseydk Assigned To => caseydk
2014-11-26 22:04 caseydk Status new => feedback
2014-11-27 04:28 mateusfig Note Added: 0003723
2014-11-27 04:28 mateusfig Status feedback => assigned
2014-12-01 10:05 mateusfig Note Edited: 0003723 View Revisions
2014-12-01 10:05 mateusfig Note Added: 0003724
2014-12-01 11:51 mateusfig Note Added: 0003725
2014-12-11 22:17 caseydk Note Added: 0003728
2014-12-11 22:17 caseydk Status assigned => resolved
2014-12-11 22:17 caseydk Fixed in Version => 3.3
2014-12-11 22:17 caseydk Resolution open => fixed
2016-12-26 23:37 caseydk Project v3.3 Release => v3.4 Release (Current)
2019-01-03 12:53 caseydk Note Added: 0003929
2019-01-03 12:53 caseydk Status resolved => closed
+Issue History